MrShandy
@MrShandy
Студент, хочу уметь кодить на python

Не устанавливается discord.py на Ubuntu 18.04?

https://pastebin.com/McS14sAC
Не совсем понимаю из за чего такое может быть, раньше подобных проблем не возникало
  • Вопрос задан
  • 76 просмотров
Решения вопроса 1
karabanov
@karabanov
Администрирую сети
Надо библиотеки доустановить.
Что-то вроде: apt update && apt install --no-install-recommends make build-essential libssl-dev zlib1g-dev libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev xz-utils tk-dev libxml2-dev libxmlsec1-dev libffi-dev liblzma-dev python3-dev python3-pip python3-venv python3-wheel


А вообще лучше это делать в виртуальном окружении
https://github.com/pyenv/pyenv
https://github.com/pyenv/pyenv/wiki
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы